<?php declare(strict_types=1);

namespace App\Tests\Unit\Entity;

use App\Entity\FoodOrder;
use App\Entity\OrderItem;

use function expect;
use function test;

test('FoodOrder Entity', function (): void {
    $order = new FoodOrder;
    $orderItem = new OrderItem;
    expect($order->getOrderItems())
        ->toBeEmpty();
    $order->addOrderItem($orderItem);
    $order->addOrderItem($orderItem);

    expect($order->getOrderItems())
        ->toHaveCount(1)
        ->and($orderItem->getFoodOrder())
        ->toBe($order);

    $order->removeOrderItem($orderItem);

    expect($order->getOrderItems())
        ->toBeEmpty()
        ->and($orderItem->getFoodOrder())
        ->toBeNull();

})
    ->covers(FoodOrder::class, OrderItem::class);
